%define	name	scummvm
%define version 0.11.0
%define rel 1
%define release %mkrel %rel
%define distsuffix plf
%define Summary	An implementation of LucasArts's SCUMM interpreter

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/scummvm/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Url:		http://scummvm.sourceforge.net/
Group:		Games/Adventure
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel 
BuildRequires:	ncurses-devel
BuildRequires:	mad-devel 
BuildRequires:	oggvorbis-devel 
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	libfluidsynth-devel
BuildRequires:	nasm

%description
ScummVM is an implementation of LucasArts S.C.U.M.M.
(Script Creation Utility for Maniac Mansion) interpreter, used in games
such as Monkey Island, Indiana Jones, Day Of The Tentacle, Sam and Max,
and many more. Some things are still missing, and some games cannot
be completeted yet. There are quite a few known bugs. Regardless of
the bugs it is still possible to play some games all the way through 
to the end. Still other games do not load at all.

Some games such as "Beneath a steel sky" have been released by their
developers, install scummvm-beneath-a-steel-sky packages to play

This package is in PLF because it is unclear from a copyright point of
view. Mandriva will not distribute it until LucasArts have decided about
the situation.

%prep
%setup -q

%build
./configure --prefix=%_prefix --bindir=%_gamesbindir --mandir=%_mandir \
  --datadir=%_gamesdatadir

#Don't want *alot* of warnings about multiline comments...
%make CXXFLAGS="$RPM_OPT_FLAGS -O3 -ffast-math -Wuninitialized -Wno-long-long -Wno-multichar -Wno-unknown-pragmas"

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std 
mv %buildroot%_datadir/doc/%name installed-docs

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Adventure" \
		title="Scummvm"\
		longtitle="%{Summary}" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Scummvm
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Adventure;Game;AdventureGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc installed-docs/*
%{_gamesbindir}/*
%{_mandir}/*/*
%{_datadir}/pixmaps/%{name}.xpm
%_gamesdatadir/*
%_datadir/applications/mandriva*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_datadir}/%{name}

%changelog
* Thu Jan 17 2008 Götz Waschk <goetz@zarb.org> 0.11.0-1plf2008.1
- new version

* Mon Jul  2 2007 Götz Waschk <goetz@zarb.org> 0.10.0-2plf2008.0
- reenable HQ scalers

* Thu Jun 21 2007 Götz Waschk <goetz@zarb.org> 0.10.0-1plf2008.0
- fix installation
- disable HQ scalers (sf bug #1740786)
- drop patch
- new version

* Mon Dec 11 2006 Götz Waschk <goetz@zarb.org> 0.9.1-2plf2007.1
- patch for new flac

* Wed Dec  6 2006 Götz Waschk <goetz@zarb.org> 0.9.1-1plf2007.1
- fix buildrequires
- new version

* Mon Jun 26 2006 Götz Waschk <goetz@zarb.org> 0.9.0-1plf2007.0
- xdg menu
- drop source 1
- New release 0.9.0

* Fri Feb 10 2006 Götz Waschk <goetz@zarb.org> 0.8.2-1plf
- New release 0.8.2

* Tue Jan 31 2006 Götz Waschk <goetz@zarb.org> 0.8.1-1plf
- New release 0.8.1

* Sun Oct 30 2005 Götz Waschk <goetz@zarb.org> 0.8.0-1plf
- New release 0.8.0

* Tue Apr 19 2005 Götz Waschk <goetz@zarb.org> 0.7.1-2plf
- mkrel macro
- rebuild for new flac

* Tue Mar 29 2005 Götz Waschk <goetz@zarb.org> 0.7.1-1plf
- New release 0.7.1

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@zarb.org> 0.7.0-1plf
- 0.7.0
- merry christmas!

* Wed Dec 15 2004 Olivier Blin <blino@zarb.org> 0.6.1b-1plf
- 0.6.1b
- fix source URL

* Mon Sep 20 2004 Götz Waschk <goetz@zarb.org> 0.6.1-3plf
- fix description

* Thu Aug 19 2004 Götz Waschk <goetz@zarb.org> 0.6.1-2plf
- rebuild for new menu

* Wed Jul 28 2004 Götz Waschk <goetz@zarb.org> 0.6.1-1plf
- add source URL
- New release 0.6.1

* Mon Jun  7 2004 Götz Waschk <goetz@plf.zarb.org> 0.6.0-2plf
- drop vendor and distribution tags
- rebuild for new g++

* Tue Mar 16 2004 Per Øyvind Karlsen <peroyvind@zarb.org> 0.6.0-1plf
- 0.6.0
- build with new mpeg2 support
- fix buildrequires (lib64..)
- drop P0
- change summary macro to avoid possible conflicts
- cosmetics

* Tue Oct 21 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-2plf
- added a directory to drop the games [DIRM]
- changed description

* Sat Aug  9 2003 Götz Waschk <goetz@plf.zarb.org> 0.5.1-1plf
- new version

* Mon Aug 04 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.5.0-2plf
- change variable for compile flags, (grrr, götz didn't include changes from 0.4.1-3plf
  and 0.4.1-4plf in last release)
- no longer need for -fno-optimize-sibling-calls that was added to compile flags in
  0.4.1-4plf, sound seems to be working ok now

* Sat Aug  2 2003 Götz Waschk <goetz@plf.zarb.org> 0.5.0-1plf
- drop patch1, I guess it's obsolete
- new version

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.4.1-4plf
- use higher optimizations while using -fno-optimize-sibling-calls to avoid
  that sound get's screwed

* Thu May 29 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.4.1-3plf
- update variable for compileflags so they are used again

* Tue May 27 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.1-2plf
- patch1: add missing advmame3x screen mode

* Mon May 26 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.1-1plf
- new version

* Sun May 18 2003 Götz Waschk <goetz@plf.zarb.org> 0.4.0-1plf
- enable vorbis and alsa
- fix buildrequires
- new version

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.3plf
- fix compileflags to have sound working and rule out warnings

* Sat Mar 15 2003 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.2plf
- move scummvm.xpm into %{_datadir}/pixmaps/
- added .png icons and menuitem

* Thu Dec 12 2002 Per Øyvind Karlsen <peroyvind@zarb.org> 0.3.0-b.1plf
- 0.3.0b
- added libmad-devel to BuildRequires
- added XFree86-devel to BuildRequires, or else we might run into problems
  if just lsbdev(which satisfies dependencies, but fails at linking)

* Sat Nov 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.2.0-2plf
- BuildRequires
- plf, not mdk

* Fri Nov 15 2002 Per Øyvind Karlsen <peroyvind@zarb.org> 0.2.0-1plf
- Initial release
